Package org.apache.felix.framework.resolver

# Interface HostedCapability

All Superinterfaces:
  `BundleCapability`, `Capability`

All Known Implementing Classes:
  `WrappedCapability`

public interface HostedCapability extends BundleCapability

## Method Summary

Modifier and Type
Method
Description
`BundleCapability`
`getDeclaredCapability()`
`BundleRevision`
`getRevision()`
Returns the bundle revision declaring this capability.

### Methods inherited from interface org.osgi.framework.wiring.BundleCapability

`getAttributes, getDirectives, getNamespace, getResource`

### Methods inherited from interface org.osgi.resource.Capability

`equals, hashCode`

## Method Details

### getRevision

BundleRevision getRevision()
Description copied from interface: `BundleCapability`
Returns the bundle revision declaring this capability.

Specified by:
  `getRevision` in interface `BundleCapability`
Returns:
  The bundle revision declaring this capability.

### getDeclaredCapability

BundleCapability getDeclaredCapability()